gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] 01/02: refactor slightly


From: gnunet
Subject: [taler-exchange] 01/02: refactor slightly
Date: Thu, 30 Jun 2022 09:35:10 +0200

This is an automated email from the git hooks/post-receive script.

ttn pushed a commit to branch master
in repository exchange.

commit f3770761748b454222b1a0d8c3a94ec8b5ecae63
Author: Thien-Thi Nguyen <ttn@gnuvola.org>
AuthorDate: Thu Jun 30 03:32:29 2022 -0400

    refactor slightly
    
    (ensure): Don't repeat "$src/$fn" and "$dst/$fn";
    instead, compute them once as "$src" and "$dst", respectively.
---
 contrib/gana-update.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index 12198027..e16c6741 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -17,13 +17,13 @@ ensure ()
     # $2 -- src dir under contrib/
     # $3 -- dst dir under ./
     fn="$1"
-    src="contrib/$2"
-    dst="./$3"
+    src="contrib/$2/$fn"
+    dst="./$3/$fn"
 
-    if ! diff $src/$fn $dst/$fn > /dev/null
+    if ! diff $src $dst > /dev/null
     then
-        cp $src/$fn $dst/$fn
-        chmod -w $dst/$fn
+        cp $src $dst
+        chmod -w $dst
     fi
 }
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]